System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

Each member is associated with an event in . For more information on the events, see , , , and .

Changes that might occur to a file or directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.WatcherChangeTypes To be added

  The creation, deletion, change, or renaming of a file or folder.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.WatcherChangeTypes To be added

  The change of a file or folder. The types of changes include: changes to size, attributes, security settings, last write, and last access time.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.WatcherChangeTypes To be added

  The creation of a file or folder.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.WatcherChangeTypes To be added

  The deletion of a file or folder.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.WatcherChangeTypes To be added

  The renaming of a file or folder.